/*
** Copyright (C) 2005 CHARY Corentin <iksaif@gmail.com>
**
** Ce programme est libre, vous pouvez le redistribuer et/ou le modifier 
** selon les termes de la Licence Publique Gnrale GNU publie par la Free Software Foundation 
**
** Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite, 
** y compris les garanties de commercialisation ou d'adaptation dans un but spcifique.
** Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
**
** Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme 
**
** utils.h
**
** Fonctions utiles un peu partout
**
**
**
*/

#ifndef UTILS_H
# define UTILS_H

/* Include */
# include "SDL.h"

/* Headers locaux */
# include "main.h"

void limitFps();
int nb_fps;

SDL_Surface *LoadSDLImage(const char *filename, unsigned int alpha);
TTF_Font *LoadSDLFont(const char *filename, unsigned int size);

unsigned int myrand(unsigned int a, unsigned int b);
unsigned int count_ones(unsigned int n);

void PrintText(SDL_Surface * surf, char *text, SDL_Rect * dst,
	       TTF_Font * font, SDL_Color color);
void DrawGraph(SDL_Surface * surf, SDL_Rect dst, unsigned int value,
	       unsigned int valuemax);

unsigned int get_flags(unsigned int flags);
unsigned int SetVideoMode(unsigned int x, unsigned int y,
			  unsigned int bits_per_pixel, unsigned int flags);
void GetVideoInfo(void);

#endif
