/*
** Copyright (C) 2005 CHARY Corentin <iksaif@gmail.com>
**
** Ce programme est libre, vous pouvez le redistribuer et/ou le modifier 
** selon les termes de la Licence Publique Gnrale GNU publie par la Free Software Foundation 
**
** Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite, 
** y compris les garanties de commercialisation ou d'adaptation dans un but spcifique.
** Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
**
** Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme 
**
** sound.c
**
** Gestion du son
**
**
**
*/

# include "sound.h"

/*
** Charge un fichier Wav sur le disque et renvoit un pointeur 
*/
Mix_Chunk *LoadSDLWav(char *filename)
{
	Mix_Chunk *sound;

	/* Charge un fichier wav sur le disque */
	sound = Mix_LoadWAV(filename);
	if (sound == NULL) {
		fprintf(stderr, "%s\n", Mix_GetError());
	}

	return sound;
}


int PlaySDLWav(Mix_Chunk * sound)
{
	int channel;

	/* Joue un fichier Wav, renvois la "channel" sur le quel il est jou */
	channel = Mix_PlayChannel(-1, sound, 0);
	if (channel == -1) {
		fprintf(stderr, "%s\n", Mix_GetError());
	}

	return channel;
}
